MODINFO(8)

NAZWA
modinfo - wypisuje informacje o module jądra Linux

SKŁADNIA

modinfo [-0] [-F pole] [-k jądro] [nazwa-modułu|nazwa-pliku...]

modinfo -V

modinfo -h

OPIS

modinfo pobiera informacje o modułach jądra Linux, podanych w wierszu polecenia. Jeśli nazwa modułu nie jest nazwą pliku, to przeszukiwany jest katalog /lib/modules/wersja, co czynione jest również przez modprobe(8), gdy ładuje ono moduły jądra.

modinfo domyślnie wypisuje listę wszystkich atrybutów modułu w postaci nazwa-pola : wartość, co umożliwia łatwe odczytanie. Nazwa pliku jest wypisana w ten sam sposób (choć nie jest ona w rzeczywistości atrybutem).

Ta wersja modinfo potrafi zrozumieć moduły z dowolnej architektury jądra Linux.

OPCJE

-V, --version
    Wypisuje wersję modinfo.

-F, --field
    Wypisuje jedynie daną wartość pola, po jednej na wiersz. Przydatne w skryptach. Nazwy pól są niewrażliwe na wielkość znaków. Częstymi polami (które nie muszą być obecne w każdym module) są: author (autor), description (opis), license (licencja), parm (parametry), depends (wymagane zależności) i alias. Często spotyka się wiele pól parm, alias i depends. Specjalne pole filename zawiera nazwę pliku modułu.

-b katalog-główny, --basedir katalog główny
    Główny katalog dla modułów, domyślnie "/".

-k jądro
    Udostępnia informacje o innym jądrze niż aktualnie działające. Przydatne szczególnie dla dystrybucji, które muszą pozyskać informacje z nowo zainstalowanego (ale jeszcze nieuruchomionego) zestawu modułów jądra. Na przykład można chcieć znaleźć pliki firmware, które są wymagane przez różne moduły w nowym jądrze, do których trzeba przygotować obraz initrd/initramfs przed ponownym uruchomieniem komputera.

-0, --null
    Używa znaku zera ASCII do oddzielenia wartości pól, zamiast znaku nowego wiersza. Przydatne w skryptach, ponieważ znak nowego wiersza może teoretycznie pojawić się wewnątrz pola.

-a --author, -d --description, -l --license, -p --parameters, -n --filename
    Są to skróty odpowiednio do flagi --field: author (autor), description (opis), license (licencja), parm (parametry) i filename (nazwa pliku), w celu łatwego przejścia ze starego programu modinfo z modutils.

PRAWA AUTORSKIE

Pierwotnie: Copyright 2003, Rusty Russell, IBM Corporation. Strona podręcznika jest obecnie zarządzana przez Jona Mastersa i innych.

ZOBACZ TAKŻE

modprobe(8)

AUTORZY

Jon Masters <jcm@jonmasters.org>
    Deweloper

Lucas De Marchi <lucas.de.marchi@gmail.com>
    Deweloper

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Andrzej M. Krzysztofowicz (PTM) <ankry@green.mf.pg.gda.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 18 oryginału.